import request from "@/api/request.js";

// 提出背景
/**
 * @param {cRelated, currentPage, id, pageSize} 
 */
export function getDecreeBackground(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/background/${params.id}`,
        params
    })
}

// 前序政令
/**
 * @param {id} 
 */
export function getDecreePrev(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/prev/${params.id}`,
        params
    })
}

// 相关事件
/**
 * @param { id } 
 */
export function getDecreeRelatedEvent(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/relateEvent/${params.id}`,
        params
    })
}

// 法律依据
/**
 * @param { id } 
 */
export function getDecreeDepend(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/depend/${params.id}`,
        params
    })
}

// 主要指令
/**
 * @param { id } 
 */
export function getDecreeMainContent(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/mainContent/${params.id}`,
        params
    })
}

// 相关实体
/**
 * @param { id } 
 */
export function getDecreeRelatedEntity(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/relatedEntity/${params.id}`,
        params
    })
}